#!/bin/sh
#
# $Id$
#
# Create the gpstrack-runner daemon user
#

gid=$(getent group gpstrack-runner | cut -d : -f 3)
uid=$(getent passwd gpstrack-runner | cut -d : -f 3)

if test -n "$gid"
then
    echo Group gpstrack-runner already exists with GID $gid
else
    groupadd --system gpstrack-runner
    test $? -ne 0 && (echo "Adding system group gpstrack-runner failed."; exit 1)
    
    gid=$(getent group gpstrack-runner | cut -d : -f 3)
    
	if test -n "$gid"
	then
		echo Group gpstrack-runner added with GID $gid
	else
		echo Failed to add system user gpstrack-runner
		exit 1
	fi
fi

if test -n "$uid" 
then
    echo User gpstrack-runner already exists with UID $uid
else
    useradd --system -m -g gpstrack-runner -d /var/spool/gpstrack-runner -c "GPSTrack-Runner Daemon User" gpstrack-runner
    test $? -ne 0 && (echo "Adding system user gpstrack-runner with group gpstrack-runner failed."; exit 2)

	uid=$(getent passwd gpstrack-runner | cut -d : -f 3)

	echo Successfully added user gpstrack-runner with UID $uid
	if test -n "$uid"
	then
		echo User gpstrack-runner added with UID $uid and group gpstrack-runner
	else
		echo Failed to add system user gpstrack-runner with group gpstrack-runner.
		exit 2
	fi
fi

mkdir -p /var/spool/gpstrack-runner
chown -R gpstrack-runner:gpstrack-runner /var/spool/gpstrack-runner
